#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    int n, x;
    long s;
    scanf("%d %d", &n, &x);
    int komsije[n];

    int i, j, a;
    for(i=0;i<n;i++)
        scanf("%d", &komsije[i]);

    for (i = 0; i < n; ++i)
    {
        for (j = i + 1; j < n; ++j)
        {
            if (komsije[i] > komsije[j])
            {
                a =  komsije[i];
                komsije[i] = komsije[j];
                komsije[j] = a;
            }
        }
    }

    if(x<komsije[0])
    {
        s = abs(x-komsije[n-1]);
    }
    else if(x>komsije[n-1])
    {
        s = abs(x-komsije[0]);
    }
    else
    {
        if(abs(x-komsije[n-1])<abs(x-komsije[0]))
            s = 2 * abs(x-komsije[n-1]) + abs(x-komsije[0]);
        else
            s = 2 * abs(x-komsije[0]) + abs(x-komsije[n-1]);
    }

    printf("%d", s);
    return 0;
}